Bug 1685219 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Erica von Buelow
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks: 1685224 1685225 1685227 1685228 1685229 1685230 1685232
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:03 UTC by Clayton Coleman
Modified: 2019-06-04 10:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1685224 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:44 UTC

Description Clayton Coleman 2019-03-04 17:03:03 UTC
Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-authentication-operator","openshift-authentication-operator-bc94f484c-252mt"]

Comment 4 Chuan Yu 2019-03-14 03:46:30 UTC
Verified.

$ oc get deployment -n openshift-authentication-operator -o json | jq '.items[0].spec.template.spec.containers[0].imagePullPolicy' 
"IfNotPresent"

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-03-13-233958   True        False         24m     Cluster version is 4.0.0-0.nightly-2019-03-13-233958

Comment 6 errata-xmlrpc 2019-06-04 10:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.